Subject: [bug#30572] [PATCH 3/7] system: Allow customization of the initrd's Guile.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 07 Mar 2018 16:20:46 +0100

Chris Marusich <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Chris Marusich <[email-masked]> skribis:
>>
>>>  @deffn {Monadic Procedure} base-initrd @var{file-systems} @
>>> -       [#:mapped-devices '()] [#:qemu-networking? #f] [#:volatile-root? #f]@
>>> +       [#:linux linux-libre]
>>> +       [#:mapped-devices '()] [#:guile %guile-static-stripped]
>>> +       [#:qemu-networking? #f] [#:volatile-root? #f]@
>>
>> Nitpick: you need an @ at the end of intermediate lines.  :-)
>
> Thank you; I appreciate nit-picking, since these are the kinds of things
> that are easy to overlook!  I've added the @ symbols (see attached).
> However, are they really necessary?
>
> According to (texinfo) Multiple Spaces, inserting an @ followed by a
> newline inserts a single space into the output.  That's what we're doing
> here, right?  But even when I omit the @ symbols at the end of the
> lines, the TexInfo manual builds without error, and the procedure
> definition appears to render just fine in the stand-alone Info reader.
> Unless the intent here really is to insert just one extra space between
> some, but not all, of the arguments, I think we can probably omit all of
> these @ symbols.  WDYT?

It surely builds without error, but I think Texinfo considers the lines
that follow the @deffn line as the body of @deffn and not as the
continuation of the @deffn line.

Thanks,
Ludo’.